ON_DetailView Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_detail.h>`

Inheritance diagram for ON_DetailView:

## Public Member Functions

| ON_DetailView ()
| ~ON_DetailView ()
void | MemoryRelocate ()
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
unsigned int | SizeOf () const
ON_BOOL32 | Write (ON_BinaryArchive &binary_archive) const
ON_BOOL32 | Read (ON_BinaryArchive &binary_archive)
ON::object_type | ObjectType () const
int | Dimension () const
ON_BOOL32 | GetBBox (double *boxmin, double *boxmax, int bGrowBox=false) const
bool | GetTightBoundingBox (ON_BoundingBox &tight_bbox, int bGrowBox=false, const ON_Xform *xform=0) const
ON_BOOL32 | Transform (const ON_Xform &xform)
Public Member Functions inherited from ON_Geometry
| ON_Geometry ()
| ON_Geometry (const ON_Geometry &)
ON_Geometry & | operator= (const ON_Geometry &)
virtual | ~ON_Geometry ()
ON_BoundingBox | BoundingBox () const
ON_BOOL32 | GetBoundingBox (ON_BoundingBox &bbox, int bGrowBox=false) const
ON_BOOL32 | GetBoundingBox (ON_3dPoint &bbox_min, ON_3dPoint &bbox_max, int bGrowBox=false) const
ON_BOOL32 | Rotate (double sin_angle, double cos_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
ON_BOOL32 | Rotate (double rotation_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
ON_BOOL32 | Translate (const ON_3dVector &translation_vector)
ON_BOOL32 | Scale (double scale_factor)
virtual void | ClearBoundingBox ()
virtual bool | IsDeformable () const
virtual bool | MakeDeformable ()
virtual ON_BOOL32 | SwapCoordinates (int i, int j)
virtual ON_BOOL32 | HasBrepForm () const
virtual ON_Brep * | BrepForm (ON_Brep *brep=NULL) const
virtual ON_COMPONENT_INDEX | ComponentIndex () const
virtual bool | EvaluatePoint (const class ON_ObjRef &objref, ON_3dPoint &P) const
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

double | m_page_per_model_ratio
ON_3dmView | m_view
ON_NurbsCurve | m_boundary

## Detailed Description

Definition at line 20 of file opennurbs_detail.h.

## Constructor & Destructor Documentation

ON_DetailView::ON_DetailView | ( |  | ) |

ON_DetailView::~ON_DetailView | ( |  | ) |

## Member Function Documentation

int ON_DetailView::Dimension | ( |  | ) | const

virtual

Implements ON_Geometry.

void ON_DetailView::Dump | ( | ON_TextLog & |  | ) | const

virtual

Reimplemented from ON_Object.

ON_BOOL32 ON_DetailView::GetBBox | ( | double * | boxmin,
|  | double * | boxmax,
|  | int | bGrowBox = `false`
| ) |  | const

virtual

Implements ON_Geometry.

bool ON_DetailView::GetTightBoundingBox | ( | ON_BoundingBox & | tight_bbox,
|  | int | bGrowBox = `false`,
|  | const ON_Xform * | xform = `0`
| ) |  | const

virtual

Reimplemented from ON_Geometry.

ON_BOOL32 ON_DetailView::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

void ON_DetailView::MemoryRelocate | ( |  | ) |

virtual

Reimplemented from ON_Object.

ON::object_type ON_DetailView::ObjectType | ( |  | ) | const

virtual

Reimplemented from ON_Object.

ON_BOOL32 ON_DetailView::Read | ( | ON_BinaryArchive & | binary_archive | ) |

virtual

Reimplemented from ON_Object.

unsigned int ON_DetailView::SizeOf | ( |  | ) | const

virtual

Reimplemented from ON_Object.

ON_BOOL32 ON_DetailView::Transform | ( | const ON_Xform & | xform | ) |

virtual

Reimplemented from ON_Geometry.

ON_BOOL32 ON_DetailView::Write | ( | ON_BinaryArchive & | binary_archive | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

ON_NurbsCurve ON_DetailView::m_boundary

Definition at line 89 of file opennurbs_detail.h.

double ON_DetailView::m_page_per_model_ratio

Definition at line 80 of file opennurbs_detail.h.

ON_3dmView ON_DetailView::m_view

Definition at line 85 of file opennurbs_detail.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_detail.h